diff -Naur scrollkeeper-0.3.12.old/Makefile.in scrollkeeper-0.3.12.new/Makefile.in
--- scrollkeeper-0.3.12.old/Makefile.in	Thu Jan 23 15:11:56 2003
+++ scrollkeeper-0.3.12.new/Makefile.in	Thu Feb 27 02:40:53 2003
@@ -145,7 +145,7 @@
 
 EXTRA_DIST = scrollkeeper.spec.in COPYING-DOCS TODO intltool-extract.in intltool-merge.in intltool-update.in scrollkeeper-spec.txt
 
-scrollkeeperdocdir = $(datadir)/doc/scrollkeeper-$(VERSION)
+scrollkeeperdocdir = $(datadir)/doc/scrollkeeper
 scrollkeeperdoc_DATA = COPYING-DOCS
 scrollkeeper_localstate_dir = $(localstatedir)/lib/scrollkeeper
 subdir = .
@@ -539,10 +539,10 @@
 	rm -rf $(DESTDIR)$(scrollkeeper_localstate_dir)
 	$(mkinstalldirs) $(DESTDIR)$(scrollkeeper_localstate_dir)
 	$(mkinstalldirs) $(DESTDIR)$(localstatedir)/log
-	PATH="$(PATH):$(DESTDIR)$(bindir)" ; \
-		echo "`date +\"%b %d %X\"` Installing ScrollKeeper `scrollkeeper-config --version`..." >> $(DESTDIR)$(localstatedir)/log/scrollkeeper.log
-	PATH="$(PATH):$(DESTDIR)$(bindir)" ; \
-		$(DESTDIR)$(bindir)/scrollkeeper-rebuilddb -q -p $(DESTDIR)$(scrollkeeper_localstate_dir)
+#	PATH="$(PATH):$(DESTDIR)$(bindir)" ; \
+#		echo "`date +\"%b %d %X\"` Installing ScrollKeeper `scrollkeeper-config --version`..." >> $(DESTDIR)$(localstatedir)/log/scrollkeeper.log
+#	PATH="$(PATH):$(DESTDIR)$(bindir)" ; \
+#		$(DESTDIR)$(bindir)/scrollkeeper-rebuilddb -q -p $(DESTDIR)$(scrollkeeper_localstate_dir)
 
 # Remove generated files
 uninstall-local:
diff -Naur scrollkeeper-0.3.12.old/cl/src/Makefile.in scrollkeeper-0.3.12.new/cl/src/Makefile.in
--- scrollkeeper-0.3.12.old/cl/src/Makefile.in	Thu Jan 23 15:11:58 2003
+++ scrollkeeper-0.3.12.new/cl/src/Makefile.in	Thu Feb 27 02:39:46 2003
@@ -148,9 +148,9 @@
 
 
 LDADD = \
+	$(top_builddir)/libs/libscrollkeeper.la \
         $(XML_LIBS) \
-	$(XSLT_LIBS) \
-	$(top_builddir)/libs/libscrollkeeper.la
+	$(XSLT_LIBS)
 
 
 bin_PROGRAMS = scrollkeeper-preinstall scrollkeeper-update scrollkeeper-install scrollkeeper-uninstall scrollkeeper-get-cl 
diff -Naur scrollkeeper-0.3.12.old/configure scrollkeeper-0.3.12.new/configure
--- scrollkeeper-0.3.12.old/configure	Thu Jan 23 15:12:13 2003
+++ scrollkeeper-0.3.12.new/configure	Thu Feb 27 02:39:46 2003
@@ -5376,7 +5376,7 @@
     # FIXME: Relying on posixy $() will cause problems for
     #        cross-compilation, but unfortunately the echo tests do not
     #        yet detect zsh echo's removal of \ escapes.
-    archive_cmds='$nonopt $(test "x$module" = xyes && echo -bundle || echo -dynamiclib) $allow_undefined_flag -o $lib $libobjs $deplibs$linker_flags -install_name $rpath/$soname $verstring'
+    archive_cmds='$nonopt $(test x$module = xyes && echo -bundle || echo -dynamiclib) $allow_undefined_flag -o $lib $libobjs $deplibs$linker_flags $(test x$module != xyes && echo -install_name $rpath/$soname $tmp_verstring)'
     # We need to add '_' to the symbols in $export_symbols first
     #archive_expsym_cmds="$archive_cmds"' && strip -s $export_symbols'
     hardcode_direct=yes
@@ -8795,7 +8795,7 @@
    *)
 	echo "$as_me:$LINENO: checking for docbook-dtd412-xml" >&5
 echo $ECHO_N "checking for docbook-dtd412-xml... $ECHO_C" >&6
-	if xmlcatalog /etc/xml/catalog "-//OASIS//DTD DocBook XML V4.1.2//EN" | grep "No entry" >/dev/null ; then
+	if xmlcatalog ${prefix}/etc/xml/catalog "-//OASIS//DTD DocBook XML V4.1.2//EN" | grep "No entry" >/dev/null ; then
 		echo "* ERROR * "
 		echo " "
 		echo "Couldn't find the DocBook XML V4.1.2 DTD.  Please make sure that you have the docbook-dtd412-xml package installed. If it is installed, the package probably did not register the DTD in the catalog properly. Consult http://scrollkeeper.sourceforge.net/docbook.shtml for more information."
diff -Naur scrollkeeper-0.3.12.old/extract/dtds/Makefile.in scrollkeeper-0.3.12.new/extract/dtds/Makefile.in
--- scrollkeeper-0.3.12.old/extract/dtds/Makefile.in	Thu Jan 23 15:12:02 2003
+++ scrollkeeper-0.3.12.new/extract/dtds/Makefile.in	Thu Feb 27 02:39:46 2003
@@ -335,9 +335,9 @@
 
 # ScrollKeeper OMF Variation DTD V1.0
 install-data-hook:
-	-/usr/bin/xmlcatalog --noout --add "public" \
-		"-//OMF//DTD Scrollkeeper OMF Variant V1.0//EN" \
-		"$(dtdsdir)/scrollkeeper-omf.dtd" $(CATALOG)
+#	-/usr/bin/xmlcatalog --noout --add "public" \
+#		"-//OMF//DTD Scrollkeeper OMF Variant V1.0//EN" \
+#		"$(dtdsdir)/scrollkeeper-omf.dtd" $(CATALOG)
 
 #
 # Unregister the DTD(s) in the system XML Catalog
diff -Naur scrollkeeper-0.3.12.old/extract/src/Makefile.in scrollkeeper-0.3.12.new/extract/src/Makefile.in
--- scrollkeeper-0.3.12.old/extract/src/Makefile.in	Thu Jan 23 15:12:04 2003
+++ scrollkeeper-0.3.12.new/extract/src/Makefile.in	Thu Feb 27 02:39:46 2003
@@ -148,9 +148,9 @@
 
 
 LDADD = \
+        $(top_builddir)/libs/libscrollkeeper.la \
         $(XML_LIBS) \
-        $(XSLT_LIBS) \
-        $(top_builddir)/libs/libscrollkeeper.la
+        $(XSLT_LIBS)
 
 
 scrollkeeper_extract_SOURCES = \
diff -Naur scrollkeeper-0.3.12.old/libs/database.c scrollkeeper-0.3.12.new/libs/database.c
--- scrollkeeper-0.3.12.old/libs/database.c	Thu Jan 23 15:10:57 2003
+++ scrollkeeper-0.3.12.new/libs/database.c	Thu Feb 27 02:39:46 2003
@@ -17,6 +17,7 @@
  */
  
 #include <config.h>
+#include <limits.h>
 #include <stdlib.h>
 #include <string.h>
 #include <stddef.h>
@@ -27,7 +28,7 @@
 #include <dirent.h>
 #include <scrollkeeper.h>
 
-#define PATHLEN		256
+#define PATHLEN		PATH_MAX
 
 
 /*
diff -Naur scrollkeeper-0.3.12.old/libs/i18n.c scrollkeeper-0.3.12.new/libs/i18n.c
--- scrollkeeper-0.3.12.old/libs/i18n.c	Thu Jan 23 15:10:57 2003
+++ scrollkeeper-0.3.12.new/libs/i18n.c	Thu Feb 27 02:39:46 2003
@@ -22,6 +22,25 @@
 #include <string.h>
 #include <locale.h>
 
+static void*
+strndup (const char *src, size_t n)
+{
+	size_t i;
+	char *dst;
+
+	if (src == NULL)
+		return NULL;
+
+	dst = (char*) malloc (n + 1);
+	if (dst != NULL) {
+		for (i = 0; i < n && src[i]; i++)
+			dst[i] = src[i];
+		dst[i] = '\0';
+	}
+
+	return dst;
+}
+
 /* Mask components used in locale spec. Ordering is from least significant to
  * most significant.
  */
@@ -169,7 +188,7 @@
 	
 	lang = getenv("LANGUAGE");
 	if (lang == NULL || lang[0] == '\0') {
-		lang = setlocale(LC_MESSAGES, NULL);
+		lang = setlocale(LC_ALL, NULL);
 	}
 		
 	if (lang == NULL || lang[0] == '\0') {
diff -Naur scrollkeeper-0.3.12.old/libs/install.c scrollkeeper-0.3.12.new/libs/install.c
--- scrollkeeper-0.3.12.old/libs/install.c	Thu Jan 23 15:10:57 2003
+++ scrollkeeper-0.3.12.new/libs/install.c	Thu Feb 27 02:39:46 2003
@@ -19,6 +19,7 @@
 #include <config.h>
 #include <libxml/tree.h>
 #include <libxml/parser.h>
+#include <limits.h>
 #include <stdlib.h>
 #include <string.h>
 #include <locale.h>
@@ -32,7 +33,7 @@
 #define _(String) gettext (String)
 
 #define SEP		"|"
-#define PATHLEN		256
+#define PATHLEN		PATH_MAX
 
 #ifdef SOLARIS
 /*extern char *strtok_r(char *, const char *, char **);*/
diff -Naur scrollkeeper-0.3.12.old/libs/scrollkeeper.h.in scrollkeeper-0.3.12.new/libs/scrollkeeper.h.in
--- scrollkeeper-0.3.12.old/libs/scrollkeeper.h.in	Thu Jan 23 15:10:57 2003
+++ scrollkeeper-0.3.12.new/libs/scrollkeeper.h.in	Thu Feb 27 02:39:46 2003
@@ -21,6 +21,7 @@
 
 #include <libxml/tree.h>
 #include <sys/types.h>
+#include <limits.h>
 
 #define _(String) gettext (String)
 
@@ -29,11 +30,11 @@
  * Paths
  *
  */
-#define SCROLLKEEPERLOCALEDIR "/usr/share/locale"
+#define SCROLLKEEPERLOCALEDIR "@prefix@/share/locale"
 #define SCROLLKEEPERLOGFILE "@localstatedir@/log/scrollkeeper.log"
 #define SCROLLKEEPERLOGFILE_ROT "@localstatedir@/log/scrollkeeper.log.1"
 #define SCROLLKEEPER_OMF_DTD "@prefix@/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd"
-#define PATHLEN		256
+#define PATHLEN		PATH_MAX
 
 /*
  *
diff -Naur scrollkeeper-0.3.12.old/libs/uninstall.c scrollkeeper-0.3.12.new/libs/uninstall.c
--- scrollkeeper-0.3.12.old/libs/uninstall.c	Thu Jan 23 15:10:57 2003
+++ scrollkeeper-0.3.12.new/libs/uninstall.c	Thu Feb 27 02:39:46 2003
@@ -17,6 +17,7 @@
  */
 
 #include <config.h>
+#include <limits.h>
 #include <libxml/tree.h>
 #include <libxml/parser.h>
 #include <stdlib.h>
@@ -29,7 +30,7 @@
 
 #define _(String) gettext (String)
 
-#define PATHLEN		256
+#define PATHLEN		PATH_MAX
 
 struct IdTab {
     int id;
diff -Naur scrollkeeper-0.3.12.old/ltmain.sh scrollkeeper-0.3.12.new/ltmain.sh
--- scrollkeeper-0.3.12.old/ltmain.sh	Thu Jan 23 15:11:19 2003
+++ scrollkeeper-0.3.12.new/ltmain.sh	Thu Feb 27 02:39:46 2003
@@ -2952,6 +2952,11 @@
 	if test -n "$export_symbols" && test -n "$archive_expsym_cmds"; then
 	  eval cmds=\"$archive_expsym_cmds\"
 	else
+	  if test "x$verstring" = "x0.0"; then
+	    tmp_verstring=
+	  else
+	    tmp_verstring="$verstring"
+	  fi
 	  eval cmds=\"$archive_cmds\"
 	fi
 	save_ifs="$IFS"; IFS='~'
diff -Naur scrollkeeper-0.3.12.old/scrollkeeper.xmlcatalog scrollkeeper-0.3.12.new/scrollkeeper.xmlcatalog
--- scrollkeeper-0.3.12.old/scrollkeeper.xmlcatalog	Thu Jan  1 09:00:00 1970
+++ scrollkeeper-0.3.12.new/scrollkeeper.xmlcatalog	Thu Feb 27 02:39:46 2003
@@ -0,0 +1,3 @@
+"public" \
+	"-//OMF//DTD Scrollkeeper OMF Variant V1.0//EN" \
+	"file://@PREFIX@/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd"
